//====================================================================================//
//                                                                                    //
//                                    Norm_DESC                                       //
//                                                                                    //
//====================================================================================//
//  This File:   norm_dsc_sp.C               Language: C++  (xlC and CC)              //
//  Software:    PEPS 2003                   Advisor: Brigitte.Plateau@imag.fr        //
//====================================================================================//
//  Creation:    19/dec/95                        by: Paulo.Fernandes@imag.fr         //
//  Last Change: 13/feb/03                        by: Anne.Benoit@imag.fr         //
//====================================================================================//
#include "peps.h"

peps_name filename;

//====================================================================================//
void Normalize_DSC()                                            //   Main Operation   //
//====================================================================================//
{
 peps_name model_name;     // current directory (just the name, no paths, no extensions)
 peps_name dsc_level_name; // directory where the descriptor came from (./[dsc]/*.dsc)
 peps_name cnd_level_name; // directory to store the normalized descriptor (./cnd/*.cnd)

 Timer     T;

 cout << "\nNormalization of a SAN Descriptor\n";
 
 if(!Provide_DSC(filename))
  exit(0);
 DSC::dsc.name(dsc_level_name);
 Get_Only_the_File_Name(dsc_level_name, model_name);
 strcpy(cnd_level_name, "cnd/"); strcat(cnd_level_name, model_name);
 if (Permission_to_Proceed(cnd_level_name, cnd_file)) {
   T.clear();
   T.start();
   CND::cnd.translate(cnd_level_name);
   T.stop();
 }
 Notify_Time_Spend(T, "normalization of a SAN descriptor");
}


//====================================================================================//
//====================================================================================//
//====================================================================================//
//                                 Norm_DESC Main                                     //
//====================================================================================//
int main(int argc, char *argv[])
{
 cout.setf(ios::scientific);
 cout.precision(16);
 set_new_handler(Communicate_Out_of_Memory);
 Create_Temporary_Directories();
 strcpy(filename,"");

 if (argc == 2){
   strcpy(filename, argv[1]);
 }

//====================================================================================//
//                      Compiling and Normalizing Operations                          //
//====================================================================================//
 Normalize_DSC(); 

 Say_Goodbye();
 return(0);
}
